
/* ===================================
define frames
=================================== */
#all_frame {
	left: 0%;
	top: 0%;
	height: 100%;
	width: 200%;
	display: flex;
	/* border: solid white 5px; */
}

#frame1_disco_description {
  justify-content: unset;
  width: 100dvw;
	/* left: 0%; */
	/* top: 0%; */
	/* border: solid white 1px; */
}

#frame2_disco_works {
  flex-direction: column;
  width: 100dvw;
	/* border: solid white 1px; */
}

#footer_page {
  display: none;
	/* left: 500%; */
	height: 100svh;
	/* top: 0%; */
}

/* ===================================
menu logo
=================================== */
#menu_btn_logo {
  opacity: 0%;
}

/* ===================================
frame1_disco_description
=================================== */

#disco_description_img {
  width: auto;
  height: 100vh;
  object-fit: cover;
  object-position: 100% 50%;
  user-select: none;
}

#disco_description_text_block {
  color: #FEF1ED;
  align-items: unset;
  margin-left: 5vw;
  /* border: 1px white solid;  */
}

#disco_description_title {
  padding-bottom: 4%;
  margin-bottom: 4%;
  border-bottom: 1px #FEF1ED solid; 
  color: white;
}

#disco_description_title_text2 {
  display: none;
}

#disco_description_subtitle {
  color: white;
}

/* ===================================
frame2_disco_works
=================================== */

.carousel {
  display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
  
}

#disco_works_carousel_block {
  /* border: 1px white solid; */
  height: 35em;
  width: 70vw;
  perspective: 1000px;
  overflow: hidden;
}

#disco_works_carousel {
  width: 60vw;
  height: 100%;
  position: absolute;
  transform: translateZ(-92.33vw);
  transform-style: preserve-3d;
  transition: transform 1s;
  /* border: 1px white solid; */
}

.carousel_cell {
  height: 100%;
  width: 100%;
  position: absolute;
  transition: transform 1s, opacity 1s, width 1s, height 1s;
  /* background: rgba(0, 0, 0, 0.8); */
  /* border: 1px white solid; */
  display: flex;
	flex-direction: unset;
	align-items: center;
	justify-content: center;
  opacity: 0%;
  transform: rotateY(0deg) translateZ(0vw);
}

.comingsoon {
  height: 80%;
  width: auto;
  opacity: 80%;
  /* background: rgba(255, 255, 255, 0.4); */
  color: #FEF1ED;
  display: flex;
	font-family: 'Playfair Display', serif;
	font-weight: 400;
	white-space: nowrap;
	user-select: none;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.carousel_cell .image {
  /* width: 40%; */
  /* height: auto; */
  object-fit: cover;
  object-position: 100% 50%;
  user-select: none;
  /* border: 1px white solid;  */
}

.carousel_cell .block {
  align-items: unset;
  margin-left: 5%;
}

.carousel_cell .title {
  margin-bottom: 4%;
  padding-bottom: 4%;
  border-bottom: 1px #FEF1ED solid;
  color: white;
}

.carousel_cell .subtitle {
  color: white;
}

.carousel_cell .link_block {
  display: flex;
	/* flex-direction: column; */
	align-items: center;
	justify-content: left;
  margin-top: 3%;
  /* border: 1px white solid; */
  color: #FEF1ED;
}

.link_block .block {
  flex-direction: unset;
  align-items: center;
  /* border: 1px white solid; */
  margin-left: unset;
  margin-right: 8%;
  cursor: pointer;
  white-space: nowrap;
  transition: transform 0.5s;
}

.link_block .block:hover {
  transform: scale(1.1);
}

.link_block .image {
  height: 1.2em;
  margin: 0 4%;
}

.link_block .block .arrow {
  height: 0.8em;
}

#disco_works_carousel_center_block {
  opacity: 100%;
  transform: rotateY(0deg) translateZ(92.33vw);
}

#disco_works_carousel_right_block {
  /* height: 30%;
  width: 30%; */
  opacity: 30%;
  transform: rotateY(36deg) translateZ(92.33vw);
}


#disco_works_carousel_left_block {
  /* height: 30%;
  width: 30%; */
  opacity: 30%;
  transform: rotateY(-36deg) translateZ(92.33vw);
}

#previous-button {
  position: absolute;
  left: 8%;
  top: 50%;
  height: 5em;
  cursor:pointer;
  z-index: 999;
  transform: translate(-50%, -50%);
  transition: transform 1s, opacity 1s, width 1s, height 0.5s;
}

#previous-button:hover {
  height: 6em;
}

#next-button {
  position: absolute;
  right: 8%;
  top: 50%;
  height: 5em;
  cursor:pointer;
  z-index: 999;
  transform: translate(+50%, -50%);
  transition: transform 1s, opacity 1s, width 0.5s, height 0.5s;
}

#next-button:hover {
  height: 6em;
}

.carousel_dots {
  z-index: 999;
  /* position: absolute; */
  /* bottom: -10%;
  left: 0%; */
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  /* margin-top: 2%; */
  /* border: 1px white solid; */
}

.carousel_dot_wrapper {
  width: 15px;
  height: 15px;
  margin: 0 1px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.carousel_dot {
  width: 10px;
  height: 10px;
  background: grey;
  border-radius: 50%;
  cursor: pointer;
  transition: transform 0.25s;
}
.carousel_dot:hover {
  transform: scale(1.5);
}
